{% extends "base.html" %}

{% block jumbotron_content %}
  <h1>Личная карточка</h1>
  <p>{{ object }}<br/>от <strong>{{ object.created }}</strong> [{{ object.created|timesince }} назад].<br/>

  {% if object.short_comment %}
  <h4>Заметка к анкете</h4>
  <pre class="pre-comment">{{ object.short_comment|default:"" }}</pre>
  {% endif %}

{% endblock %}

{% block content %}

  {% include "intake/curators/_apps_list_accept_modal.html" %}

{% with object as a %}
{% with a.full_info as u %}
<div class="container">
<div class="row">
  <div class="col-md-4">
    <div class="thumbnail">
      <img src="{{ u.photo.photo_absolute_url }}">
    </div>

    {% if a.is_changeable_by_curator %}
{% if profile.is_castrated %}
<p>&mdash;</p>
{% else %}
      <p><button type="button" class="btn btn-primary btn-block" data-toggle="modal" data-target="#modal_acceptapp" data-applicant="{{ a.pk }}" data-fullname="{{ a.short_info.last_name }} {{ a.short_info.first_name }}" data-workshop="{{ a.wp_names_tuple.0 }}" data-program="{{ a.wp_names_tuple.1 }}">Принять</button></p>
      <p>
        <a href="{% url 'curators:app_decline' a.pk %}" class="btn btn-default" role="button">
           Отказать
        </a>
      </p>
{% endif %}
    {% endif %}
  </div>

  <div class="col-md-8">
    <div class="row">
      <h2>{{ u.first_name }}
      <span class="text-muted">{{ u.middle_name }}</span>
      {{u.last_name}}</h2>

      <dt><small>{{ u.location }}</small></dt>
    <dd>Возраст: {{ u.age }} (ДР {{ u.birthdate }})</dd>
    {#<dd>Пол: {{ u.is_male|yesno:"Мужской,Женский" }}</dd>#}

      <dt>Мастерская/программа</dt>
      <dd><a href="http://letnyayashkola.org/{{ u.wpc.workshop_slug }}/">{{ u.wpc.workshop_slug }}</a>/{{ u.wpc.program_slug }}</dd>
      <dt>Мотивация выбора программы</dt>
      <dd>{{ u.wpc.wait_but_why }}</dd>


    {% with u.pfpi as pfpi %}
    <dt>Блок про то, откуда узнал{% if u.is_female %}а{% endif %}</dt>
        {% if pfpi.leak_src_list or pfpi.leak_src_other %}
          {% if pfpi.leak_src_list %}
            {% for _, src in pfpi.leak_src_list %}
              {% if forloop.first %}
              <dt>Основные источники</dt>
                <ol>
              {% endif %}

              <li>{{ src }}</li>

              {% if forloop.last %}
                </ol>
              {% endif %}

            {% endfor %}
          {% endif %}

          {% if pfpi.leak_src_other %}
            <dt>Ещё источник</dt>
            <dd><p><small>{{ pfpi.leak_src_other }}</small></p>
          {% endif %}
        {% endif %}
    {% endwith %}
    </div>

  </div>
</div>

<div class="row">
  <div class="col-md-8">
    <div class="thumbnail">
      <div class="caption">
  <h2>Портфолио</h2>

    <h3>Образование</h3>
    {% with u.uei as uei %}
    <dl>
      <dt>Образование: {{ uei.get_finished_ed_display }}</dt>
        <dd>Аффилиация: {{ uei.affiliation }}</dd>
      {% if uei.degree_ed %}
      <dt>{{ uei.get_degree_ed_display }}</dt>
      {% endif %}
      {% if uei.degree %}
        <dd>{{ uei.degree }}</dd>
      {% endif %}
    </dl>
    {% endwith %}

    <h3>Занятость</h3>
    {% with u.uact as uact %}
    <dl>
      <dt>Основная</dt>
      <dd>{{ uact.main_occupation }}</dd>
      {% if uact.hobbies %}
        <dt>Хобби</dt>
        <dd>{{ uact.hobbies }}</dd>
      {% endif %}
    </dl>
    {% endwith %}

    <h3>На каких школах {% if u.is_male %}был{% else %}была{% endif %}</h3>
  {% with u.pfpi as pfpi %}

      {% for item in pfpi.lsh_schools %}
        {% if forloop.first %}
          <h4>Имеющие отношение к ЛШ</h4>
        {% endif %}
        <p>{{item.year}} &mdash; {{item.event_name}}</p>
      {% empty %}
        <h4>Похоже, на ЛШ раньше не замечен</h4>
      {% endfor %}

      {% for item in pfpi.other_schools %}
        {% if forloop.first %}
          <h4>Другие похожие мероприятия</h4>
        {% endif %}
        <p>{{item.year}} &mdash; {{item.event_name}}</p>
      {% empty %}
        <h4>Похоже, на других похожих мероприятих не замечен</h4>
      {% endfor %}

      {% if pfpi.nostalgia %}
        <h3>Ностальгия</h3>
        <p><small>{{pfpi.nostalgia }}</small></p>
      {% endif %}

  {% endwith %}
      </div>
    </div>
  </div>

  {% with u.uac as uac %}
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
          <h3>Контакты</h3>
          <dl>
            <dt>email</dt>
            <dd><a href="mailto:{{ u.email }}">{{ u.email }}</a></dd>
                {% if uac %}
                  <dt>Другие контакты:</dt>
                  {% for c_label, c, is_link in uac.get_data %}
                    <dd>{{ c_label}}: {% if is_link %}<a href="{{ c }}">{{ c }}</a>{% else %}{{ c }}{% endif %}</dd>
                  {% empty %}
                    <dd>А НЕТУ!</dd>
                  {% endfor %}
                {% endif %}

                {% if u.is_underage %}
                  <dt>Родитель </dt>
                  {% if u.underage_data.parental_confirm %}<dd>(согласие получено)</dd>{% endif %}
                  <dd>{{ u.underage_data.parental_phone }}</dd>
                  <dd>{{ u.underage_data.parental_email }}</dd>
                  <dd>{{ u.underage_data.parental_name }}</dd>
                {% endif %}
                </dl>
      </div>
    </div>
  </div>
  {% endwith %}

  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3>Деньги</h3>
        {% if u.is_underage %}
          <p>Это несовершеннолетний участник. В анкете про деньги спрашивали, но ненавязчиво.</p>
        {% endif %}

	{% with u.gibe as gibe %}
          <p>Готов{% if u.is_female %}а{% endif %} дать {{ gibe.get_money_display }}</p>
        {% endwith %}

      </div>
    </div>
  </div>

</div>

{% endwith %}
{% endwith %}

</div>
{% endblock %}

{% block extra_scripts %}
  {% include "intake/curators/_apps_list_accept_modal.js" %}
{% endblock extra_scripts %}
